<?xml version="1.0" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>wcd 6.0.5 - Wherever Change Directory</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rev="made" href="mailto:ASSI@cygwinpro.fritz.box" />
</head>

<body>



<ul id="index">
  <li><a href="#NAAM">NAAM</a></li>
  <li><a href="#OVERZICHT">OVERZICHT</a></li>
  <li><a href="#BESCHRIJVING">BESCHRIJVING</a>
    <ul>
      <li><a href="#Overzicht">Overzicht</a></li>
      <li><a href="#Basisgebruik">Basisgebruik</a></li>
      <li><a href="#Jokertekens">Jokertekens</a></li>
      <li><a href="#Overig-gebruik">Overig gebruik</a></li>
      <li><a href="#Windows-UNC-paden">Windows UNC paden</a></li>
      <li><a href="#Opdrachtpromtvenster-formaat-wijzigen-in-Windows">Opdrachtpromtvenster formaat wijzigen in Windows</a></li>
      <li><a href="#Interfaces">Interfaces</a></li>
    </ul>
  </li>
  <li><a href="#OPTIES">OPTIES</a></li>
  <li><a href="#INSTALLATIE">INSTALLATIE</a>
    <ul>
      <li><a href="#Installatie-voor-POSIX-type-shells">Installatie voor POSIX type shells</a></li>
      <li><a href="#Installatie-voor-C-achtige-shells-csh-tcsh">Installatie voor C-achtige shells (csh, tcsh)</a></li>
      <li><a href="#Windows-Opdrachtprompt-versie">Windows Opdrachtprompt versie</a></li>
      <li><a href="#Windows-VISTA-en-hoger">Windows VISTA en hoger</a></li>
      <li><a href="#Windows-PowerShell-versie">Windows PowerShell versie</a></li>
      <li><a href="#OS-2-Opdrachtprompt-versie">OS/2 Opdrachtprompt versie</a></li>
    </ul>
  </li>
  <li><a href="#LOKALISATIE">LOKALISATIE</a>
    <ul>
      <li><a href="#WINDOWS-CODETABELLEN">WINDOWS CODETABELLEN</a></li>
      <li><a href="#UNICODE">UNICODE</a>
        <ul>
          <li><a href="#UTF-8-op-Unix-Linux">UTF-8 op Unix/Linux</a></li>
          <li><a href="#UTF-16-op-Windows">UTF-16 op Windows</a></li>
          <li><a href="#UTF-8-in-Cygwin">UTF-8 in Cygwin</a></li>
        </ul>
      </li>
    </ul>
  </li>
  <li><a href="#BESTANDEN">BESTANDEN</a></li>
  <li><a href="#OMGEVINGSVARIABELEN">OMGEVINGSVARIABELEN</a></li>
  <li><a href="#ZIE-OOK">ZIE OOK</a></li>
  <li><a href="#AUTEURS">AUTEURS</a></li>
</ul>

<h1 id="NAAM">NAAM</h1>

<p>wcd - Wherever Change Directory</p>

<p>chdir voor DOS en Unix</p>

<h1 id="OVERZICHT">OVERZICHT</h1>

<pre><code>    wcd [opties] [map]</code></pre>

<h1 id="BESCHRIJVING">BESCHRIJVING</h1>

<h2 id="Overzicht">Overzicht</h2>

<p>Wcd is een commandoregel programma om snel van map te veranderen. Het bespaart tijd tijdens het typen. Men hoeft alleen maar een deel van de mapnaam te typen en wcd springt er heen. Wcd heeft een snelle selectie methode wanneer er meerdere treffers zijn, en biedt de mogelijkheid om aliassen van mappen aan te maken en om mappen in de ban te doen. Wcd biedt ook een schermvullende interactieve boomweergave met snelzoek functie.</p>

<p>Wcd is gemodelleerd naar Norton Change Directory (NCD). NCD verscheen voor het eerst in <i>The Norton Utilities, Release 4</i>, for DOS in 1987, gepubliceerd door Peter Norton.</p>

<p>Wcd is geschikt gemaakt voor verschillende commandoregel shells: DOS command.com, Windows cmd.exe en PowerShell, OS/2 cmd.exe, en Unix shells zoals Bourne (sh), Bourne Again (bash), Korn (ksh), Z (zsh), en C (csh) shell en anderen draaiend op elk besturingssysteem.</p>

<p>Wcd ondersteunt 8 bit tekensets op alle systemen, en heeft optioneel ondersteuning voor Unicode. Zie paragraaf LOKALISTIE.</p>

<p>Zie paragraaf INSTALLATIE hoe wcd voor persoonlijk gebruik in te stellen.</p>

<h2 id="Basisgebruik">Basisgebruik</h2>

<p>Standaard, wanneer geen jokertekens gebruikt worden, zoekt wcd een map met een naam die begint met de naam die getypt is.</p>

<p>Bijvoorbeeld deze opdracht zal veranderen naar de huidige gebruikers map <code>/home/user/Desktop</code>:</p>

<pre><code>    wcd Desk</code></pre>

<p>Wanneer er meerdere treffers zijn zal wcd een lijst presenteren van alle treffers. De gebruiker kan een keuze maken met enkele toetsaanslagen (meestal een).</p>

<h2 id="Jokertekens">Jokertekens</h2>

<p>Wcd ondersteunt de volgende jokertekens:</p>

<pre><code>    *       treft een willekeurige reeks van tekens (nul of meer)
    ?       treft een willekeurig teken
    [SET]   treft willekeurige tekens in de gespecificeerde set,
    [!SET]  of [^SET] treft willekeurige tekens niet in de
            gespecificeerde set.</code></pre>

<p>Een set wordt samengesteld uit tekens of reeksen; een reeks ziet er uit als <i>teken koppelteken teken</i> zoals in <code>0-9</code> of <code>A-Z</code>. <code>[0-9a-zA-Z_]</code> is de minimale set van tekens toegestaan in de <code>[..]</code> patroon samenstelling. Internationale tekens (d.w.z. 8 bit tekens) zijn toegestaan als het systeem ze ondersteunt. Om de speciale syntactische betekenis van elke van <code>[]*?!^-\</code>binnen of buiten een <code>[..]</code> samenstelling te onderdrukken en exact gelijke te treffen, laat het teken vooraf gaan door een backslash (<code>\</code>) teken.</p>

<p>Het gebruik van jokertekens maakt krachtige zoekmethodes mogelijk. Bijvoorbeeld dit treft elke mapnaam die eindigt op &quot;top&quot;.</p>

<pre><code>    wcd *top</code></pre>

<p>Tref mappen die ergens &quot;top&quot; in de naam heeft:</p>

<pre><code>    wcd *top*</code></pre>

<p>Tref elke map die die begint met &quot;a&quot;, &quot;b&quot; or &quot;c&quot;:</p>

<pre><code>    wcd [a-c]*</code></pre>

<p>Het is ook mogelijk om een deel van het pad op te geven. Hier zoekt Wcd naar een map die begint met &quot;Desk&quot; en wiens pad overeenkomt met <i>*me/Desk*</i>.</p>

<pre><code>    wcd me/Desk</code></pre>

<p>Het is toegestaan om elke expressie met schuine strepen en jokertekens te typen. B.v.:</p>

<pre><code>    wcd src*/*1?/a*2</code></pre>

<h2 id="Overig-gebruik">Overig gebruik</h2>

<p>Wanneer geen jokertekens gebruikt zijn en wcd vindt een perfecte treffer, zullen alle niet exacte treffers genegeerd worden. Dit gedrag kan gewijzigd worden met de <b>-w</b> optie.</p>

<p>De interactieve mappen-verkenner kan met de optie <b>-g</b> gestart worden.</p>

<pre><code>    wcd -g</code></pre>

<p>Wcd genereert een boomdata-bestand waarin de map gezocht wordt. Op Unix en Windows voegt wcd ook symbolische koppelingen toe wanneer de schijf gescand wordt, maar deze worden niet gevolgd. Wanneer symbolische koppelingen gevolgd worden, zou wcd oneindige lussen kunnen scannen, of zeer grote delen van een netwerk.</p>

<p>Wcd kan ook veranderen naar mappen die niet in het boomdata-bestand staan. B.v.:</p>

<pre><code>    wcd ..</code></pre>

<p>Wanneer wcd een treffer heeft gevonden, maar niet naar de map kan veranderen, probeert hij deze te verwijderen uit het standaard boomdata-bestand. Niet uit het extra boomdata-bestand. Zie ook optie <b>-k</b>.</p>

<p>Wcd houdt een mappenstapel bij die opgeslagen wordt op schijf. De stapel heeft een standaard grootte van 10 en is cyclisch. Zie opties <b>-z</b>, <b>-</b>, <b>+</b> en <b>=</b>.</p>

<p>In een omgeving met meerdere gebruikers kan optie <b>-u</b> gebruikt worden om naar mappen van andere gebruikers te veranderen.</p>

<p>Op DOS en Windows systemen maakt het niet uit of een slash &quot;/&quot; of een backslash &quot;\&quot; als mappen-scheidingsteken gebruikt wordt.</p>

<p>Het is mogelijk op DOS en Windows systemen om tegelijk van schijf en map te veranderen door de mapnaam vooraf te laten gaan door de schijf naam.</p>

<pre><code>    wcd d:games</code></pre>

<h2 id="Windows-UNC-paden">Windows UNC paden</h2>

<p>De Windows versies (Opdrachtprompt, PowerShell, MSYS, zsh, Cygwin) ondersteunen Windows SMB LAN UNC paden zonder schijfletter, zoals <code>\\servername\sharename</code>. Wcd voor de Opdrachtprompt maakt gebruik van het &quot;pushd&quot; commando om automatisch een UNC pad toe te wijzen aan een schijfletter. In Windows PowerShell, MSYS, zsh en Cygwin worden UNC paden volledig ondersteund. De huidige werkmap kan een UNC pad zijn.</p>

<h2 id="Opdrachtpromtvenster-formaat-wijzigen-in-Windows">Opdrachtpromtvenster formaat wijzigen in Windows</h2>

<p>Wcd ondersteunt het wijzigen van het formaat van het opdrachtpromptvenster in Windows 10 en ConEmu (zie <a href="https://conemu.github.io/">https://conemu.github.io/</a>) sinds versie 6.0.3. Het Windows 10 opdrachtpromptvenster moet niet in verouderde console modus zitten (controleer de opdrachtpromptvenster eigenschappen). Het scherm kan mogelijk niet verversen wanneer de Indeling eigenschap &quot;tekstterugloopuitvoer bij formaat wijzigen&quot; uit staat. Het scherm kan handmatig ververst worden door op de F5 toets te drukken.</p>

<h2 id="Interfaces">Interfaces</h2>

<p>Wcd heeft drie verschillende interface om uit een lijst van treffers te kiezen. De interface kan gekozen worden bij het bouwen van Wcd.</p>

<p>De eerste interface gebruikt standaard in- en uitvoer. Een genummerde lijst wordt in de terminal geprint. De gebruiker kan kiezen uit de lijst door een nummber te typen gevolgd door &lt;Enter&gt;. Deze interface biedt geen terug-blader functionaliteit bij een lange lijst. De terug-blader functionaliteit van de terminal/console moet gebruikt worden. Deze interface is heel klein en overdraagbaar.</p>

<p>De tweede interface is gebouwd met de conio bibliotheek. Het biedt een ingebouwde terug-blader functie. De gebruiker wordt een lijst gepresenteerd, genummerd met letters. Het kiezen uit de lijst kan gedaan worden met een enkele toetsaanslag van een letter. Deze interface is snel, omdat het toetsaanslagen bespaart. Wanneer mogelijk wordt het scherm hersteld na afsluiten. Iemand die prefereert nummers te typen kan de <b>-N</b> optie gebruiken.</p>

<p>De derde bibliotheek is gebouwd met de curses bibliotheek. Het is gelijk aan de conio interface. De curses versie van wcd heeft een extra &#39;grafische&#39; interface. Het laat de gebruiker een map kiezen via een vol-scherm interactieve mappenboom verkenner. Het heeft vim(1) gelijke navigatie en zoek methodes. Het kan geactiveerd worden met de optie <b>-g</b>.</p>

<p>Door de <b>-o</b> optie te gebruiken kan men altijd terugvallen op de standaard in- en uitvoer interface.</p>

<h1 id="OPTIES">OPTIES</h1>

<dl>

<dt id="a"><b>-a</b></dt>
<dd>

<p>Voeg huidig pad to aan het standaard boomdata-bestand.</p>

<p>Gebruik deze optie om snel het huidige pad toe te voegen aan het standaard boomdata-bestand. Het opnieuw scannen van de complete schijf kan soms lang duren.</p>

</dd>
<dt id="aa"><b>-aa</b></dt>
<dd>

<p>Voeg het huidige en alle bovenliggende paden toe aan het standaard boomdata-bestand.</p>

</dd>
<dt id="A-PAD"><b>-A PAD</b></dt>
<dd>

<p>Scan mappenboom vanaf <i>PAD</i> en voeg toe aan het standaard boomdata-bestand. Voorbeelden:</p>

<pre><code>    wcd -A .
    wcd -A /home -A /etc
    wcd -A d: -A e: -A \\server\share</code></pre>

<p>Op Windows kan men alle gedeelde mappen van een Windows LAN server scannen door iets te typen als: <code>wcd -A \\servername</code>.</p>

<p>Zie ook opties <b>-S</b> en <b>-s</b> en <b>-E</b>.</p>

</dd>
<dt id="b"><b>-b</b></dt>
<dd>

<p>Verban het huidige pad.</p>

<p>Wcd plaatst het huidige pad in het ban-bestand. Dit betekent dat wcd alle treffers van deze map en zijn sub-mappen negeert.</p>

<p>Het ban-bestand kan gewijzigd worden met een tekstbewerker. Gebruik van jokertekens wordt ondersteund en namen worden vergeleken met het volledige pad.</p>

<p>Verbannen paden worden niet uitgesloten van het scannen van de schijf. Gebruik optie <b>-xf</b> om dat te doen.</p>

</dd>
<dt id="c---direct-cd"><b>-c, --direct-cd</b></dt>
<dd>

<p>Directe CD modus. Standaard werkt wcd als volgt:</p>

<pre><code>    1. Probeer een treffer te vinden in een boomdata-bestand.
    2. Wanneer geen treffer, probeer het getypte pad te openen.</code></pre>

<p>In directe CD modus werkt wcd in omgekeerde volgorde.</p>

<pre><code>    1. Probeer het getypte pad te openen.
    2. Indien niet gelukt, probeer een treffer te vinden in een boomdata-bestand.</code></pre>

</dd>
<dt id="d-SCHIJF"><b>-d SCHIJF</b></dt>
<dd>

<p>Stel schijf in voor stapel- en go-script (alleen DOS).</p>

<p>Het stapelbestand en go-script worden standaard opgeslagen op schijf C: wanneer omgevingsvariabele <i>HOME</i> niet ingesteld is. Gebruik deze optie wanneer SCHIJF een alleen-lezen schijf is. Deze optie moet gebruikt worden vooraf aan stapel opties <b>-</b>, <b>+</b> en <b>=</b>.</p>

</dd>
<dt id="e"><b>-e</b></dt>
<dd>

<p>Voeg huidig pad toe aan het extra boomdata-bestand.</p>

<p>Gebruik deze optie om snel het huidige toe te voegen aan het extra boomdata-bestand.</p>

</dd>
<dt id="ee"><b>-ee</b></dt>
<dd>

<p>Voeg het huidige en alle bovenliggende paden toe aan het extra boomdata-bestand.</p>

</dd>
<dt id="E-PAD"><b>-E PAD</b></dt>
<dd>

<p>Scan mappenboom vanaf <i>PAD</i> en voeg het toe aan het Extra boomdata-bestand.Zie ook opties <b>-A</b> en <b>-S</b>.</p>

</dd>
<dt id="f-BESTAND"><b>-f BESTAND</b></dt>
<dd>

<p>Lees boomdata-bestand <i>BESTAND</i>. Lees niet het standaard boomdata-bestand.</p>

</dd>
<dt id="f-BESTAND1"><b>+f BESTAND</b></dt>
<dd>

<p>Lees boomdata-bestand <i>BESTAND</i> bovenop het standaard boomdata-bestand.</p>

</dd>
<dt id="g"><b>-g</b></dt>
<dd>

<p>Grafische interface (alleen in versie met curses interface).</p>

<p>Wcd start een tekstuele curses gebaseerde &#39;grafische&#39; interface. De gebruiker kan een map selecteren via een vol-scherm interactieve mappenverkenner. Het heeft een vim(1) achtige navigatie en zoek methode.</p>

<p>Wanneer geen zoekstring gegeven is presenteert wcd de gehele boom die in het standaard en het extra boomdata-bestand staat.</p>

<p>Wanneer een zoekstring gegeven is wordt de trefferlijst gepresenteerd als een mappenboom</p>

<p>De standaard boom opmaak is gelijk aan de boomopmaak van de originele NCD op DOS. Het verschil in opmaak is dat in NCD alle mappen van dezelfde diepteniveau verticaal uitgelijnd waren over de hele boom. Dit was mogelijk in NCD, omdat de maximale breedte van een mapnaam in DOS 12 (8.3) tekens was. Op moderne besturingssystemen kunnen namen erg lang zijn. Daarom zijn mappen met dezelfde diepte in wcd niet verticaal uitgelijnd over de hele boom, maar alleen in sub-takken. Daarom is er wat zijdelingse beweging wanneer recht omhoog of omlaag bewogen wordt van de ene sub-tak naar de ander sub-tak.</p>

<p>Het navigatie gedrag in wcd is exact hetzelfde als in de originele NCD. Bijvoorbeeld wanneer je de Omlaag knopt drukt ga je omlaag naar de volgende map met dezelfde diepte, springend over takken. Dit maakt snelle navigatie door de boom mogelijk.</p>

<p>Zie opties <b>-Ta</b>, <b>-TC</b>, en <b>-TC</b> om het navigatiegedrag te veranderen.</p>

</dd>
<dt id="gd"><b>-gd</b></dt>
<dd>

<p>Dump de boomdatabestanden als een boom naar standaard uitvoer.</p>

</dd>
<dt id="G-PAD"><b>-G PAD</b></dt>
<dd>

<p>Schrijf go-script in map <i>PAD</i>. Bijvoorbeeld op Unix, <code>wcd -G PAD</code> zal een go-script schrijven in <b>PAD/wcd.go</b>.</p>

</dd>
<dt id="GN---no-go-script"><b>-GN, --no-go-script</b></dt>
<dd>

<p>Maak geen go-script aan. Deze optie kan gebruikt worden in combinatie met de optie <b>-j</b> wanneer men wil dat wcd geen go-script aanmaakt.</p>

</dd>
<dt id="h---help"><b>-h, --help</b></dt>
<dd>

<p>Toon helptext en sluit af.</p>

</dd>
<dt id="i---ignore-case"><b>-i, --ignore-case</b></dt>
<dd>

<p>Hoofdletterongevoelig. DOS en Windows versies van wcd zijn standaard hoofdletterongevoelig. Unix/Cygwin versies zijn standaard hoofdlettergevoelig.</p>

</dd>
<dt id="i---no-ignore-case"><b>+i, --no-ignore-case</b></dt>
<dd>

<p>Hoofdlettergevoelig. Zie ook optie <b>-i</b>.</p>

</dd>
<dt id="I---ignore-diacritics"><b>-I, --ignore-diacritics</b></dt>
<dd>

<p>Ongevoelig voor diakritische tekens voor Latijnse geschriften. Letters met een diakritisch teken treffen hun basisletter zonder diakritisch teken. De volgende Latijnse coderingen worden ondersteund: CP437, CP850, CP852, CP1250, CP1252, ISO-8859-1, ISO-8859-2, en Unicode Latin-1, Latin Extended-A, en Latin Extended-B. Zie ook <a href="http://nl.wikipedia.org/wiki/Diakritisch_teken">http://nl.wikipedia.org/wiki/Diakritisch_teken</a></p>

</dd>
<dt id="I---no-ignore-diacritics"><b>+I, --no-ignore-diacritics</b></dt>
<dd>

<p>Gevoelig voor diakritische tekens (standaard). Zie ook optie <b>-I</b>.</p>

</dd>
<dt id="j---just-go"><b>-j, --just-go</b></dt>
<dd>

<p>Ga-nou-maar modus.</p>

<p>In deze modus zal wcd geen lijst tonen wanneer er meer dan een map is die treft met de ingegeven map. Wcd zal veranderen naar de eerste optie. Wanneer wcd opnieuw aangeroepen wordt met hetzelfde argument, zal wcd veranderen naar de volgende optie, en zo verder.</p>

<p>Wcd print de map waar naar te gaan naar standaard uitvoer. Zo kan een andere installatie methode gebruikt worden. Men zou de volgende functie kunnen maken voor een POSIX compatibele shell:</p>

<pre><code>    wcd ()
    {
        cd &quot;$($HOME/bin/wcd.exe -j $@)&quot;
    }</code></pre>

<p>Wanneer je een oude shell gebruikt die geen &quot;$()&quot; opdracht vervanging ondersteunt, moet je de oude stijl opdrachtvervanging gebruiken met accent graves.</p>

<pre><code>    wcd ()
    {
        cd &quot;`$HOME/bin/wcd.exe -j $@`&quot;
    }</code></pre>

<p>Op Windows systemen, wanneer men 4NT shell draait, kan men de volgende alias maken:</p>

<pre><code>    alias wcd `cd %@execstr[wcdwin32.exe -z 0 -j %1]`</code></pre>

<p>Deze methode elimineert de noodzaak voor het go-script, zodat men de optie <b>-GN</b> in combinatie met <b>-j</b> kan gebruiken.</p>

</dd>
<dt id="k---keep-paths"><b>-k, --keep-paths</b></dt>
<dd>

<p>Bewaar paden.</p>

<p>Bewaar paden in boomdata-bestanden wanneer wcd er niet naar kan veranderen. Het standaard gedrag van wcd is dat het probeert de paden te verwijderen uit het boomdata-bestand wanneer wcd niet naar ze kan veranderen. Met deze optie wordt dit gedrag uitgeschakeld.</p>

</dd>
<dt id="K---color"><b>-K, --color</b></dt>
<dd>

<p>Gebruik kleuren in grafische modus.</p>

</dd>
<dt id="l-ALIAS"><b>-l ALIAS</b></dt>
<dd>

<p>Noem het huidige pad <i>ALIAS</i>. Wcd plaatst het huidige pad met alias <i>ALIAS</i> in het alias-bestand. Aliassen zijn hoofdlettergevoelig.</p>

</dd>
<dt id="ls"><b>-ls</b></dt>
<dd>

<p>Show the name of the alias file, and list all the aliases.</p>

</dd>
<dt id="m-MAP"><b>-m MAP</b></dt>
<dd>

<p>Maak map en voeg toe aan boomdata-bestand.</p>

</dd>
<dt id="L---license"><b>-L, --license</b></dt>
<dd>

<p>Print de distributie licentie.</p>

</dd>
<dt id="M-MAP"><b>-M MAP</b></dt>
<dd>

<p>Maak map en voeg toe aan extra boomdata-bestand.</p>

</dd>
<dt id="n-PAD"><b>-n PAD</b></dt>
<dd>

<p>Lees relatief boomdata-bestand vanaf <i>PAD</i>.</p>

<p>Lees niet het standaard boomdata-bestand. Het relatieve boomdata-bestand zou al gemaakt moeten zijn met de wcd optie <b>+S</b>. <i>PAD</i> mag ook direct naar een bestand wijzen.</p>

<p>Een voorbeeld. Stel een ander systeem is gekoppend aan koppeling <code>/mnt/network</code>:</p>

<pre><code>    wcd -n /mnt/network src</code></pre>

<p>Wcd opent het relatieve boomdata-bestand in <code>/mnt/network/</code>. The bestand bevat de paden relatief vanaf dat punt.</p>

</dd>
<dt id="n-PAD1"><b>+n PAD</b></dt>
<dd>

<p>Lees relatief boomdata-bestand bovenop het standaard boomdata-bestand. Zie optie <b>-n</b>.</p>

</dd>
<dt id="N---numbers"><b>-N, --numbers</b></dt>
<dd>

<p>Gebruik nummers in plaats van letters.</p>

<p>Wcd met een conio of curses gebaseerde interface (zie paragraaf Interfaces) presenteert een trefferlijst standaard genummerd met letters. Wanneer de optie <b>-N</b> is gebruikt wordt de trefferlijst genummerd met nummers. Onafhankelijk van de optie <b>-N</b> kan men een letter of een nummer typen om een selectie uit de lijst te maken.</p>

</dd>
<dt id="o"><b>-o</b></dt>
<dd>

<p>Gebruik standaard invoer/uitvoer interface.</p>

<p>Wanneer om een of andere reden de conio of curses interface van wcd niet werkt kan men terugvallen op de standaard invoer/uitvoer interface van wcd door het gebruik van de <b>-o</b> optie.</p>

</dd>
<dt id="od---to-stdout"><b>-od, --to-stdout</b></dt>
<dd>

<p>Dump alle treffers naar standaard uitvoer.</p>

</dd>
<dt id="q---quiet"><b>-q, --quiet</b></dt>
<dd>

<p>Stillere werking. Het printen van de uiteindelijke treffer wordt onderdrukt.</p>

</dd>
<dt id="r-MAP"><b>-r MAP</b></dt>
<dd>

<p>Verwijder map en verwijder uit boomdata-bestand.</p>

<p>Als de map leeg is zal wcd het verwijderen, en proberen het te verwijderen uit het boomdata-bestand.</p>

</dd>
<dt id="rmtree-MAP"><b>-rmtree MAP</b></dt>
<dd>

<p>Recursief map verwijderen en verwijderen uit boomdata-bestand.</p>

<p>Wcd zal de map verwijderen en al zijn sub-mappen en bestanden, en verwijdert de mappen uit het boomdata-bestand.</p>

</dd>
<dt id="s"><b>-s</b></dt>
<dd>

<p>(her)scannen schijf vanaf <code>$HOME</code> map. Als <i>HOME</i> niet gedefinieerd is, wordt de schijf gescant vanaf hoofdmap /.</p>

<p>Het bestaande standaard boomdata-bestand is overschreven.</p>

<p>De standaard scan map kan overstemd worden met omgevingsvariabele <code>WCDSCAN</code>. Zie sectie OMGEVINGSVARIABELEN.</p>

</dd>
<dt id="S-PAD"><b>-S PAD</b></dt>
<dd>

<p>Scan mappenboom vanaf <i>PAD</i> en overschrijf het standaard boomdata-bestand. Zie ook opties <b>-A</b>, <b>-s</b> en <b>-E</b>. B.v. met optie <b>-A</b> kun je een standaard boomdata-bestand maken naar eigen smaak. Bijvoorbeeld:</p>

<p>Unix:</p>

<pre><code>    wcd -S /
    wcd -S /home -A /etc -A /usr</code></pre>

<p>DOS/Windows:</p>

<pre><code>    wcd -S c:/
    wcd -S c: -A d: -A \\server\share</code></pre>

<p>Met de Windows versies kan men alle gedeelde mappen scannen van een Windows LAN server door iets een typen als: <code>wcd -S \\servernaam</code>.</p>

</dd>
<dt id="S-PAD1"><b>+S PAD</b></dt>
<dd>

<p>Scan schijf vanaf <i>PAD</i> en plaats relatieve paden in het relatieve boomdata-bestand. Dit bestand wordt gebruikt door de <b>-n</b> en <b>+n</b> opties van wcd. B.v. <code>wcd -n PAD src</code>.</p>

</dd>
<dt id="t"><b>-t</b></dt>
<dd>

<p>Verwijder niet tmp koppelmap <code>/tmp_mnt</code> (alleen Unix)</p>

<p>Wcd verwijderd standaard <code>/tmp_mnt/</code> van de treffer. Map <code>/tmp_mnt</code> wordt gebruikt door de &#39;auto-mounter&#39;. Dit gedrag kan uitgeschakeld worden met de <b>-t</b> optie.</p>

</dd>
<dt id="T---ascii-tree"><b>-T, --ascii-tree</b></dt>
<dd>

<p>Teken boom met ASCII tekens. Gebruik deze opties als lijntekens niet goed getoond worden in de terminal.</p>

</dd>
<dt id="Ta---alt-tree-nav"><b>-Ta, --alt-tree-nav</b></dt>
<dd>

<p>Alternatieve manier van navigeren in de grafische boom.</p>

<p>In de standaard NCD stijl opmaak zet de <b>-Ta</b> optie het springen naar ongerelateerde mappen uit.</p>

<p>In compacte-boom-modus maakt de alternatieve mode de navigatie gelijk aan de navigatie in GUI bestandsverkenners zoals de Windows Verkenner of Linux KDE Konqueror. Omhoog en Omlaag drukken beweegt de geselecteerde map &eacute;&eacute;n regel op en neer. Links drukken vouwt eerst de sub-mappen in en de volgende beweging naar links gaat echt naar links.</p>

<p>U kunt onmiddellijk tussen standaard en alternatief navigeren schakelen door &lt;Shift-A&gt; te drukken.</p>

<p>Wanneer alternatieve navigatie aan staat, ziet u een &quot;A&quot; in de rechter onderhoek.</p>

</dd>
<dt id="TC---center-tree"><b>-TC, --center-tree</b></dt>
<dd>

<p>Gecentreerde weergave in de grafische boom. De geselecteerde map blijft in het midden van het scherm. De gecentreerde modus kan ook aan- en uitgeschakeld worden met de &lt;t&gt; toets in de grafische boom.</p>

<p>De standaard niet-gecentreerde weergave, die boombeweging minimaliseert, is gelijk aan hoe het in de originele NCD was.</p>

</dd>
<dt id="Tc---compact-tree"><b>-Tc, --compact-tree</b></dt>
<dd>

<p>Standaard wordt de &#39;grafische&#39; boom getekend op dezelfde manier zoals de originele NCD op DOS het deed. In DOS kon een pad in totaal slechts 66 tekens bevatten. Met de diepe mappenstructuur van vandaag kan de boom erg breed worden. Om dit te beheersen kan wcd de boom op een compacte manier tekenen, gelijk aan de meeste GUI mappenverkenners, met &eacute;&eacute;n map per regel. Gebruik optie <b>-Tc</b> of schakel onmiddellijk met de &lt;m&gt; toets.</p>

</dd>
<dt id="Td---cjk-width"><b>-Td, --cjk-width</b></dt>
<dd>

<p>Oude Oost-Aziatische CJK (Chinees, Japans, en Koreaans) fonts hebben bepaalde letters en lijnsymbolen met een kolombreedte van 2, terwijl de normale Unicode breedte voor deze tekens 1 kolom is. Bijvoorbeeld het Chinese CP936 raster font op Windows en het Simsun font. Gebruik deze optie voor een juiste uitlijning van de grafische boom wanneer een oud CJK font gebruikt wordt.</p>

<p>Wanneer CJK modus actief is, ziet u een &quot;C&quot; in de rechter onderhoek.</p>

</dd>
<dt id="u-GEBRUIKER"><b>-u GEBRUIKER</b></dt>
<dd>

<p>Scan boomdata-bestand van een andere gebruiker gebaseerd op <i>GEBRUIKER</i>, scan niet het eigen boomdata-bestand. Zie ook paragraaf OMGEVINGSVARIABELEN voor <i>WCDUSERSHOME</i>.</p>

<p>Op Unix/Cygwin wordt aangenomen dat de basismap voor de thuismap voor gebruikers <code>/home</code> is. Wcd zal zoeken naar <code>/home/GEBRUIKER/.treedata.wcd</code> en <code>/home/GEBRUIKER/.wcd/.treedata.wcd</code>, in deze volgorde, en de eerste lezen die bestaat en leesbaar is. Op DOS/Windows wordt aangenomen dat de basismap voor de thuismap van gebruikers <code>\\users</code> is, dus wcd probeert te lezen <code>\\users\GEBRUIKER\treedata.wcd</code> en <code>\\users\GEBRUIKER\.wcd\treedata.wcd</code>.</p>

</dd>
<dt id="u-GEBRUIKER1"><b>+u GEBRUIKER</b></dt>
<dd>

<p>Lees het standaard boomdata-bestand van GEBRUIKER bovenop uw eigen boomdata-bestand.</p>

</dd>
<dt id="v---verbose"><b>-v, --verbose</b></dt>
<dd>

<p>Toon gedetailleerde berichten. Met deze optie toont wcd alle filters, verbannen mappen en uitsluitingen.</p>

</dd>
<dt id="V---version"><b>-V, --version</b></dt>
<dd>

<p>Programmaversie tonen en afsluiten.</p>

</dd>
<dt id="w---wild-match-only"><b>-w, --wild-match-only</b></dt>
<dd>

<p>Alleen jokervergelijkingen. Behandel alle treffers als jokertreffers.</p>

</dd>
<dt id="x-PAD"><b>-x PAD</b></dt>
<dd>

<p><i>PAD</i> uitsluiten van scannen.</p>

<p>Wanneer deze optie gebruikt is zal wcd <i>PAD</i> uitsluiten en al zijn sub-mappen wanneer wcd een schijf scant. Jokertekens worden ondersteund en vergeleken met absolute paden. Optie <b>-x</b> kan meerder keren gebruikt worden.</p>

<pre><code>    wcd -x &lt;path1&gt; -x &lt;path2&gt; -s</code></pre>

<p>Optie <b>-x</b> moet vooraf gaan aan elke scan optie (<b>-s</b>, <b>-S</b>, <b>+S</b>, <b>-A</b>, <b>-E</b>).</p>

<p>Op DOS/Windows systemen moet men de schijfletter specificeren afhankelijk van of omgevingsvariabele <i>HOME</i> or <i>WCDHOME</i> gedefinieerd is. Wanneer <i>HOME</i> of <i>WCDHOME</i> gedefinieerd is moet men de schijfletter specificeren. Een voorbeeld:</p>

<pre><code>    wcd -x c:/temp -S c:</code></pre>

<p>Specificeer anders geen schijfletter.</p>

<pre><code>    wcd -x /temp -s</code></pre>

</dd>
<dt id="xf-BESTAND"><b>-xf BESTAND</b></dt>
<dd>

<p>Alle paden uit bestand <i>BESTAND</i> uitsluiten van scannen.</p>

<p>Wanneer deze optie gebruikt is zal wcd alle paden genoemd in <i>BESTAND</i> uitsluiten en al hun sub-mappen wanneer wcd een schijf scant. Jokertekens worden ondersteund en vergeleken met absolute paden, een pad per regel. Wees bewust dat wcd spaties aan het begin of einde op een regel niet zal negeren, omdat het geldige tekens zijn in een mapnaam. Optie <b>-xf</b> can meerdere keren gebruikt worden. Wanneer men alle verbannen paden wil uitsluiten van scannen zou het volgende gedaan kunnen worden (voorbeeld voor wcd op Unix):</p>

<pre><code>    wcd -xf ~/.ban.wcd -s</code></pre>

<p>Jokertekens worden ondersteund. Om bijvoorbeeld al uw Subversion mappen met administratieve bestanden uit te sluiten, voeg een regel toe met <code>*/.svn</code>.</p>

<p>Optie <b>-xf</b> moet vooraf gaan aan elke scan optie (<b>-s</b>, <b>-S</b>, <b>+S</b>, <b>-A</b>, <b>-E</b>).</p>

</dd>
<dt id="y---assume-yes"><b>-y, --assume-yes</b></dt>
<dd>

<p>Op alle vragen Ja als antwoord aannemen.</p>

<p>Wcd zal de gebruiker geen ja/nee vraag stellen, maar neemt aan dat de gebruiker ja antwoordt op alle vragen. Dit kan gebruikt worden in combinatie met optie <b>-rmtree</b>. Deze optie moet voorafgaand gebruikt worden aan opties die tot ja/nee vragen kunnen leiden.</p>

</dd>
<dt id="z-GETAL"><b>-z GETAL</b></dt>
<dd>

<p>Stel maximum stapelgrootte in op GETAL.</p>

<p>De standaard grootte van de stapel is 10. Stapelwerking kan uitgezet worden door de grootte op 0 in te stellen. Deze optie moet voorafgaand aan elke stapel optie (<b>-</b>, <b>+</b>, <b>=</b>) gebruikt worden. Anders wordt de stapelgrootte teruggezet naar de standaard 10.</p>

<p>Een correcte opdracht is:</p>

<pre><code>    wcd -z 50 -</code></pre>

<p>De nieuwe stapelgrootte zal 50 zijn, wcd gaat een map terug. Een foute opdracht is:</p>

<pre><code>    wcd - -z 50</code></pre>

<p>Wcd gaat een map terug, de stapel krijgt de standaard grootte 10. <b>-z 50</b> wordt genegeerd.</p>

<p>Voeg deze optie als eerste toe aan uw wcd alias of functie. B.v. voor een POSIX compatibele shell zou dit zijn:</p>

<pre><code>    wcd ()
    {
        wcd.exe -z 50 &quot;$@&quot;
        . ${WCDHOME:-${HOME}}/bin/wcd.go
    }</code></pre>

</dd>
<dt id="GETAL"><b>-[GETAL]</b></dt>
<dd>

<p>Map GETAL keer op stapel zetten. Standaard is een.</p>

<p>Ga een map terug. Opdracht <code>wcd -</code> gaat een map terug. Voeg een nummer toe om meer mappen terug te gaan. B.v. opdracht <code>wcd -3</code>. De stapel is cyclisch.</p>

</dd>
<dt id="GETAL1"><b>+[GETAL]</b></dt>
<dd>

<p>Map GETAL keer van stapel halen. Standaard is een.</p>

<p>Ga een map vooruit. Opdracht <code>wcd +</code> gaat een map vooruit. Voeg een nummer toe om meerdere mappen vooruit te gaan. B.v. opdracht <code>wcd +2</code>. De stapel is cyclisch.</p>

</dd>
<dt id="pod"><b>=</b></dt>
<dd>

<p>Stapel tonen.</p>

<p>Gebruik deze optie als u niet meer weet waar u in de stapel zit. De stapel wordt getoond en u kan een nummer kiezen. De huidige plaats in de stapel is gemarkeerd met een sterretje <code>*</code>.</p>

</dd>
</dl>

<h1 id="INSTALLATIE">INSTALLATIE</h1>

<p>De huidige werkmap in een Unix shell kan alleen veranderd worden door de ingebouwde cd(1) opdracht. Daarom wordt het programma altijd aangeroepen door een functie of alias. De functie of alias leest een script (go-script) in dat gegenereerd is door het wcd programma. Wcd kan alleen werken nadat de functie of alias gedefinieerd is.</p>

<p>Een andere belangrijke invloed op uw installatie is de definitie van de omgevingsvariabelen <i>HOME</i> en <i>WCDHOME</i>. Zie paragraaf OMGEVINGSVARIABELEN.</p>

<h2 id="Installatie-voor-POSIX-type-shells">Installatie voor POSIX type shells</h2>

<p>Voor een POSIX shell (ksh, bash, zsh, etc) op Unix, Linux, Cygwin, of MSYS, voeg de volgende functie toe aan het shell opstartbestand (b.v. Bash gebruikt <code>$HOME/.bashrc</code>):</p>

<pre><code>    wcd ()
    {
        PAD/wcd.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME}}/bin/wcd.go
    }</code></pre>

<p>Vervang <i>PAD</i> door de locatie waar het uitvoerbare wcd bestand ge&iuml;nstalleerd is. Laad de shell initialisatiebestanden opnieuw of start een nieuwe shell.</p>

<p>De locatie van het go-script <code>wcd.go</code> is anders per shell.</p>

<p>Wcd voor DJGPP DOS bash heeft een andere functie nodig. Het go-script wordt niet in map <code>bin</code> geschreven, en wanneer <i>WCDHOME</i> en <i>HOME</i> beide niet gedefinieerd zijn wordt het go-script geschreven in c:/.</p>

<p>DOS bash:</p>

<pre><code>    wcd ()
    {
        PAD/wcdbash.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME:-&quot;c:&quot;}}/wcd.go
    }</code></pre>

<p>OS/2 bash:</p>

<pre><code>    wcd ()
    {
        PAD/wcdos2bash.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME:-&quot;c:&quot;}}/wcd.go
    }</code></pre>

<p>De WinZsh versie van wcd is ook een beetje anders. Het go-script wordt nooit in c:/ geschreven.</p>

<pre><code>    wcd ()
    {
        PAD/wcdwin32zsh.exe &quot;$@&quot;
        . ${WCDHOME:-${HOME}}/wcd.go
    }</code></pre>

<p>Zie paragraaf BESTANDEN voor meer informatie.</p>

<h2 id="Installatie-voor-C-achtige-shells-csh-tcsh">Installatie voor C-achtige shells (csh, tcsh)</h2>

<p>Voeg de volgende alias toe aan het shell opstartbestand <code>$HOME/.cshrc</code> of <code>$HOME/.tcshrc</code>:</p>

<pre><code>    if ( ${?WCDHOME} ) then
        alias wcd &quot;PAD/wcd.exe \!* ; source $WCDHOME/bin/wcd.go&quot;
    else
        alias wcd &quot;PAD/wcd.exe \!* ; source $HOME/bin/wcd.go&quot;
    endif</code></pre>

<p>Vervang <i>PAD</i> door de locatie waar het uitvoerbare wcd bestand ge&iuml;nstalleerd is. Laad de shell initialisatiebestanden opnieuw of start een nieuwe shell.</p>

<h2 id="Windows-Opdrachtprompt-versie">Windows Opdrachtprompt versie</h2>

<p>Pak het zip-bestand uit en voeg map <code>bin</code> toe aan omgevingsvariabele <i>PATH</i>.</p>

<p>In Windows Opdrachtprompt kan een Windows programma niet de huidige werkmap veranderen, maar een .bat bestand kan dat wel. Het batch script <code>wcd.bat</code> draait het wcd programma dat een nieuw batch script <code>wcdgo.bat</code> genereert. Daarna start <code>wcd.bat</code> <code>wcdgo.bat</code> die feitelijk de map verandert.</p>

<h2 id="Windows-VISTA-en-hoger">Windows VISTA en hoger</h2>

<p>In een Windows VISTA en hoger Opdrachtprompt kan men beperkte toegang hebben tot mappen. Om toegang tot meer mappen te verkrijgen heeft men beheerdersrechten nodig. U kunt een Opdrachtprompt met beheerdersrechten verkrijgen door rechts te klikken op het Opdrachtprompt icoon en dan te selecteren <i>Als Administrator uitvoeren</i>.</p>

<h2 id="Windows-PowerShell-versie">Windows PowerShell versie</h2>

<p>Voeg de volgende functie toe aan uw PowerShell gebruikersprofiel. De locatie van dit profiel is opgeslagen in de $profile variabele. Het is vereist dat omgevingsvariabele <i>HOME</i> of <i>WCDHOME</i> gedefinieerd is.</p>

<pre><code>    function wcd
    {
        PAD\wcdwin32psh.exe $args
        &amp; $env:HOME\wcdgo.ps1
    }</code></pre>

<p>Vervang <i>PAD</i> met de locatie waar het uitvoerbare wcd bestand ge&iuml;nstalleerd is. Start een nieuwe PowerShell. Wcd voor PowerShell ondersteund alleen de bestandssysteem &#39;provider&#39;. Geen andere &#39;providers&#39;.</p>

<h2 id="OS-2-Opdrachtprompt-versie">OS/2 Opdrachtprompt versie</h2>

<p>In een OS/2 Opdrachtprompt (cmd.exe) kan een OS/2 programma niet de huidige werkmap veranderen. Dat is waarom wcd een opdracht-script genereert <code>wcdgo.cmd</code> welke uitgevoerd moet worden in de huidige shell. Het script <code>wcd.cmd</code> voert eerst <code>wcdos2.exe</code> uit, die vervolgens het <code>wcdgo.cmd</code> script cre&euml;ert. Daarna voert <code>wcd.cmd</code> het <code>wcdgo.cmd</code> script uit.</p>

<h1 id="LOKALISATIE">LOKALISATIE</h1>

<dl>

<dt id="LANG"><b>LANG</b></dt>
<dd>

<p>The primaire taal wordt geselecteerd via de omgevingsvariabele <i>LANG</i>. De variabele <i>LANG</i> bestaat uit verschillende onderdelen. Het eerste deel is in kleine letters de taalcode. Het tweede deel is optioneel en is de landcode in hoofdletters, voorafgegaan door een liggend streepje. Er is ook een optioneel derde deel: de tekencodering, voorafgegaan door een punt. Enkele voorbeelden voor een POSIX-shell:</p>

<pre><code>    export LANG=nl               Nederlands
    export LANG=nl_NL            Nederlands, Nederland
    export LANG=nl_BE            Nederlands, Belgi&euml;
    export LANG=es_ES            Spaans, Spanje
    export LANG=es_MX            Spaans, Mexico
    export LANG=en_US.iso88591   Engels, VS, Latin-1 codering

 Voor een complete lijst van taal- en landcodes zie de gettext(1) handleiding: L&lt;http://www.gnu.org/software/gettext/manual/gettext.html#Language-Codes&gt; Op Unix-systemen kunt u de opdracht locale(1) gebruiken om specifieke taalregio-informatie te verkrijgen.</code></pre>

</dd>
<dt id="LANGUAGE"><b>LANGUAGE</b></dt>
<dd>

<p>Met de omgevingsvariabele <i>LANGUAGE</i> kunt u een prioriteitenlijst specificeren van talen, gescheiden door dubbele punten. Dos2unix geeft voorrang aan <i>LANGUAGE</i> boven <i>LANG</i>. Bijvoorbeeld, eerst Nederlands en dan Duits: <code>LANGUAGE=nl:de</code>. U moet eerst lokalisatie in werking stellen, door het instellen van <i>LANG</i> of <i>LC_ALL</i> op een waarde ongelijk aan <code>C</code>, voordat u een talen-prioriteitenlijst kunt gebruiken via de variabele <i>LANGUAGE</i>. Zie ook de gettext(1) handleiding: <a href="http://www.gnu.org/software/gettext/manual/gettext.html#The-LANGUAGE-variable">http://www.gnu.org/software/gettext/manual/gettext.html#The-LANGUAGE-variable</a></p>

<p>Als u een taal kiest die niet beschikbaar is, worden de standaard Engelse berichten gebruikt.</p>

</dd>
<dt id="WCDLOCALEDIR"><b>WCDLOCALEDIR</b></dt>
<dd>

<p>Met de omgevingsvariabele <i>WCDLOCALEDIR</i> kan de <i>LOCALEDIR</i> die ingesteld werd tijdens compilatie worden overstemd. <i>LOCALEDIR</i> wordt gebruikt om de taalbestanden te vinden. De GNU standaardwaarde is <code>/usr/local/share/locale</code>. Door <code>wcd -V</code> te typen zal wcd de gebruikte <i>LOCALEDIR</i> laten zien.</p>

<p>Als u wcd ge&iuml;nstalleerd heeft in een andere map dan de standaard map kan het nodig zijn om omgevingsvariabele <i>WCDLOCALEDIR</i> te defini&euml;ren om te wijzen naar de locale map.</p>

<p>Een voorbeeld voor Windows cmd:</p>

<pre><code>    set WCDLOCALEDIR=c:/my_prefix/share/locale</code></pre>

<p>Een voorbeeld voor een POSIX shell:</p>

<pre><code>    export WCDLOCALEDIR=$HOME/share/locale</code></pre>

</dd>
<dt id="LC_COLLATE"><b>LC_COLLATE</b></dt>
<dd>

<p>Wanneer er meerdere maptreffers zijn presenteert wcd een gesorteerde lijst. Het sorteren hangt af van de lokalisatie instellingen. Wanneer de omgevingsvariabele <i>LANG</i> ingesteld is worden de treffers gesorteerd als in een woordenboek of telefoonboek in die taal. Bijvoorbeeld punten en streepjes worden genegeerd, of letters e met en zonder accent zijn gelijk, of sortering is ongevoelig voor hoofd en kleine letters.</p>

<p>De sortering geeft prioriteit aan omgevingsvariabele <i>LC_COLLATE</i> boven <i>LANG</i>. Wanneer u <i>LC_COLLATE</i> gelijk maakt aan <code>C</code> of <code>POSIX</code>, wordt sortering met lokalisatie uitgeschakeld. Bijvoorbeeld als u Nederlandse taal wilt, maar geen Nederlandse sortering, dan kunt u iets doen als:</p>

<pre><code>    export LANG=nl_NL
    export LC_COLLATE=C</code></pre>

</dd>
<dt id="LC_CTYPE"><b>LC_CTYPE</b></dt>
<dd>

<p>Met betrekking to tekencodering geeft Wcd prioriteit aan variabele <i>LC_CTYPE</i> boven <i>LANG</i>. Bijvoorbeeld om de tekencodering op UTF-8 te zetten kan de volgende omgevings-instelling gemaakt worden.</p>

<pre><code>    export LC_CTYPE=en_US.UTF-8</code></pre>

</dd>
<dt id="LC_ALL"><b>LC_ALL</b></dt>
<dd>

<p>Alle lokalisatie omgevingsvariabelen die beginnen met <i>LC</i> worden overstemd de omgevingsvariabele <i>LC_ALL</i> wanneer die ingesteld is. Wcd geeft prioriteit aan <i>LC_ALL</i> boven <i>LC_COLLATE</i> en <i>LC_CTYPE</i>.</p>

</dd>
</dl>

<h2 id="WINDOWS-CODETABELLEN">WINDOWS CODETABELLEN</h2>

<p>Er zijn twee groepen van codetabellen, DOS codetabellen (OEM) en Windows codetabellen (ANSI). De standaard codering voor Windows, wanneer geconfigureerd met westerse regionale instellingen, is ANSI CP1252. Windows programma&#39;s, bijvoorbeeld kladblok, gebruiken deze standaard systeem ANSI codetabel. De Windows Opdrachtprompt gebruikt standaard een OEM codetabel (CP437 of CP850) voor compatibeliteit met DOS programma&#39;s. Als u een DOS versie van Wcd in een Windows Opdrachtprompt gebruikt zal het werken, vanwege de DOS codetabel. Maar de DOS versie van wcd ontbeert ondersteuning voor lange mapnamen en netwerkschijven op Windows.</p>

<p>De Windows versie van wcd is een echt Windows programma en zal de Windows systeem ANSI codetabel gebruiken. Dus op een Westers regionale Windows zal het de codetabel CP1252 gebruiken voor directory namen en berichten. Om een consistente uitvoer te verkrijgen, onafhankelijk van de ingestelde codetabel, vertalen alle Windows versies van wcd ANSI uitvoer naar Unicode uitvoer in de Opdrachtprompt en PowerShell.</p>

<p>Het Opdrachtprompt rastertypefont ondersteunt alleen de originele OEM codetabel van Windows, dus u moet het Opdrachtprompt font veranderen naar Lucida Console om Unicode (en ANSI) tekens correct te laten verschijnen.</p>

<p>Niet-Unicode versies van Wcd <i>voorafgaande aan versie 5.2.0</i> gebruiken gewone ANSI uitvoer. Voor deze oude versie moet de codetabel van de Opdrachtprompt gelijk gemaakt worden aan de systeem codetabel (naar 1252) om wcd voor Windows goed te laten werken met speciale tekens zoals geaccentueerde tekens of een euroteken.</p>

<p>De Windows systeem codetabel kan veranderd worden via het Configuratiescherm Klok, taal en land/regio opties. De Windows Opdrachtprompt codetabel wordt veranderd met de <code>chcp</code> opdracht.</p>

<p>Wanneer u <code>wcd -V</code> typet, wordt de actuele tekencodering getoond die door wcd gebruikt wordt. Type opdracht <code>chcp</code> op de actieve codetabel van de Opdrachtprompt te tonen.</p>

<h2 id="UNICODE">UNICODE</h2>

<p>Wcd heeft optioneel ondersteuning voor Unicode. Om te zien of wcd gebouwd is met Unicode ondersteuning type <code>wcd -V</code>. Als uw terminal en font het ondersteunen, zou u een euroteken en Chinese tekens (betekenis: &quot;Chinees&quot;) moeten zien.</p>

<p>Wcd is <i>zacht</i> omgezet naar Unicode. In de kern behandelt wcd alle data als een stroom van bytes. Alleen de regels die op het scherm geprint worden, worden terstond omgezet naar Unicode brede tekens. Wcd hangt volledig af van libc functies en heeft geen UTF-8 specifieke broncode. Zie ook <a href="http://www.cl.cam.ac.uk/~mgk25/unicode.html">http://www.cl.cam.ac.uk/~mgk25/unicode.html</a></p>

<p>Wcd heeft optioneel ondersteuning voor Unicode vergelijkingen met normalisatie. Om er achter te komen of Wcd normalisatie ondersteunt type <code>wcd -V</code>. Wcd met Unicode normalisatie ondersteuning vergelijkt Unicode namen gebaseerd op <i>compatibele</i> gelijkwaardigheid. Zonder Unicode normalisatie worden treffen namen een gelijke wanneer ze binair gelijk zijn. Zie ook <a href="http://en.wikipedia.org/wiki/Unicode_normalization">http://en.wikipedia.org/wiki/Unicode_normalization</a></p>

<h3 id="UTF-8-op-Unix-Linux">UTF-8 op Unix/Linux</h3>

<p>Om UTF-8 tekens te zien moet uw terminal ook UTF-8 ondersteunen. De xterm versie die meekomt met XFree86 4.0 of hoger bevat UTF-8 ondersteuning. Om het te activeren, start xterm(1) in een UTF-8 taalregio en gebruik een font met iso10646-1 codering, bijvoorbeeld met</p>

<pre><code>    LC_CTYPE=en_GB.UTF-8 xterm -u8 -fn &#39;-Misc-Fixed-Medium-R-SemiCondensed--13-120-75-75-C-60-ISO10646-1&#39;</code></pre>

<p>Moderne uitgaves van GNU/Linux ondersteunen standaard UTF-8. Andere multi-byte tekencoderingen zouden ook moeten werken, maar dat is niet getest.</p>

<p>Wcd veronderstelt dat de boomdata-bestanden gecodeerd zijn in de lokale tekencodering. Er worden geen Byte Order Marks geschreven in de boomdata-bestanden.</p>

<h3 id="UTF-16-op-Windows">UTF-16 op Windows</h3>

<p>Op Windows wordt Unicode in alle versies van PowerShell ondersteund, en in Windows Opdrachtprompt op Windows 7 (of hoger). Unicode werkt ook in Take Command of TCC/LE gemaakt door JP Software, dat gebruikt kan worden op oudere Windows versies (XP/Vista).</p>

<p>In Windows zijn alle mapnamen op schijf gecodeerd in UTF-16 Unicode. Voor niet-Unicode Windows programma&#39;s worden de tekens vertaald naar de standaard ANSI codetabel. Voor tekens die geen onderdeel zijn van de regionale instelling is de vertaling niet mogelijk en niet-Unicode programma&#39;s printen in plaats daarvan een vraagteken of een verkeerd teken.</p>

<p>Wcd met Unicode ondersteuning leest de UTF-16 gecodeerde mappennamen en zet ze intern om naar UTF-8. Alle boomdata-bestanden zijn gecodeerd in UTF-8 en niet compatibel met de niet-Unicode versie van Wcd. Wcd zal een go-script aanmaken gecodeerd in UTF-8.</p>

<p>Alle versies van Windows PowerShell zijn in staat om in UTF-8 gecodeerde scripts te draaien, indien het script is voorzien van een UTF-8 BOM.</p>

<p>Sinds Windows 7 is het mogelijk om in Windows Opdrachtprompt van map te veranderen met een batch script naar een map met Unicode tekens in de naam. De mapnaam moet gecodeerd zijn in UTF-8, en het batch script moet <i>geen</i> BOM bevatten. De actieve codetabel van de Opdrachtprompt moet gezet zijn op 65001 (UTF-8) vooraf aan de cd opdracht. Wcd voor Opdrachtprompt cre&euml;ert zo&#39;n go-script <code>wcdgo.bat</code>. Eerst verandert het de codetabel naar 65001, verandert dan de map, en tenslotte wordt de codetabel terug gezet naar de originele waarde.</p>

<p>U moet het font instellen op True Type Lucida Console (niet raster type font) wanneer de letters niet correct verschijnen.</p>

<p>De niet-Unicode Windows versie van Wcd kan Unicode boomdata-bestanden lezen sinds versie 5.2.0, indien er een Byte Order Mark (BOM) in het bestand zit (zie <a href="http://en.wikipedia.org/wiki/Byte_order_mark">http://en.wikipedia.org/wiki/Byte_order_mark</a>), maar kan niet veranderen naar mappen met Unicode tekens in de naam die geen onderdeel zijn van de standaard systeem ANSI codetabel. De Unicode Windows versie van wcd schrijft een BOM in het UTF-8 gecodeerde boomdata-bestand sinds versie 5.2.0, wat ze ook leesbaar maakt voor kladblok.</p>

<h3 id="UTF-8-in-Cygwin">UTF-8 in Cygwin</h3>

<p>Cygwin ondersteunt Unicode sinds versie 1.7. De Cygwin laag zorgt er voor dat de Windows UTF-16 Unicode namen vertaald worden naar UTF-8. Dus programma&#39;s, zoals wcd, hoeven hier niet bewust van te zijn en kunnen werken gebruikmakend van UTF-8 codering als op Unix/Linux. Stel de tekencodering in op UTF-8 met de <i>LANG</i> of <i>LC_CTYPE</i> omgevingsvariabele. Het kan nodig zijn dat u de schijven opnieuw moet scannen. U dient het font in te stellen op True Type Lucida Console (niet raster type font) wanneer u de standaard Cygwin console gebruikt.</p>

<p>De Cygwin versie gedraagt zich exact gelijk aan de Unix versie van wcd. Er wordt geen BOM geschreven in de boomdata-bestanden, en er wordt aangenomen dat ze gecodeerd zijn in de <b>Cygwin</b> lokalisatie tekencodering.</p>

<h1 id="BESTANDEN">BESTANDEN</h1>

<p>Wanneer omgevingsvariabele <i>WCDHOME</i> ingesteld is zal wcd <i>WCDHOME</i> gebruiken in plaats van <i>HOME</i>. Alle <code>*.wcd</code> bestanden zijn tekstbestanden. Ze kunnen bewerkt worden met een tekstbewerker. De Windows Opdrachtprompt versie gedraagt zich als de DOS versie. De Cygwin versie van wcd gedraagt zich als de Unix versie.</p>

<dl>

<dt id="wcd.exe"><b>wcd.exe</b></dt>
<dd>

<p>Het programma. In Unix shells wordt het programma altijd aangeroepen door een functie of alias, omdat de huidige werkmap alleen veranderd kan worden door de ingebouwde cd opdracht. Zie ook paragraaf INSTALLATIE.</p>

</dd>
<dt id="standaard-boomdata-bestand"><b>standaard boomdata-bestand</b></dt>
<dd>

<p>Dit is het standaard boomdata-bestand waarin wcd zoekt naar treffers. Wanneer het niet leesbaar is zal wcd een nieuwe aanmaken.</p>

<pre><code>    DOS: \treedata.wcd of %HOME%\treedata.wcd
    Unix: $HOME/.treedata.wcd</code></pre>

</dd>
<dt id="extra-boomdata-bestand"><b>extra boomdata-bestand</b></dt>
<dd>

<p>Een optioneel extra boomdata-bestand. Wanneer het bestaat en leesbaar is zal wcd ook in dit bestand proberen treffers te vinden.</p>

<pre><code>    DOS: \extra.wcd of HOME%\extra.wcd
    Unix: $HOME/.extra.wcd</code></pre>

</dd>
<dt id="ban-bestand"><b> ban-bestand</b></dt>
<dd>

<p>In dit optionele bestand plaatst wcd de verbannen paden. Zie optie <b>-b</b>. Jokertekens worden ondersteund.</p>

<pre><code>    DOS: \ban.wcd of %HOME%\ban.wcd
    Unix: $HOME/.ban.wcd</code></pre>

</dd>
<dt id="alias-bestand"><b>alias-bestand</b></dt>
<dd>

<p>Optioneel bestand met wcd aliassen. Zie optie <b>-I</b>.</p>

<pre><code>    DOS: \alias.wcd of %HOME%\alias.wcd
    Unix: $HOME/.alias.wcd</code></pre>

</dd>
<dt id="stapel-bestand"><b>stapel-bestand</b></dt>
<dd>

<p>In dit bestand slaat wcd zijn stapel op. De schijfletter kan veranderd worden met de <b>-d</b> optie.</p>

<pre><code>    DOS: c:\stack.wcd of %HOME%\stack.wcd
    Unix: $HOME/.stack.wcd</code></pre>

<p>De naam van het stapelbestand kan veranderd worden met omgevingsvariabele <i>WCDSTACKFILE</i>. Zie paragraaf OMGEVINGSVARIABELEN.</p>

</dd>
<dt id="go-script"><b>go-script</b></dt>
<dd>

<p>Dit is het shell-script dat wcd elke keer cre&euml;ert. Het wordt ingelezen via een functie of een alias. De schijfletter kan gewijzigd worden met de <b>-d</b> optie. Wegens voorgeschiedenis redenen wordt het standaard geplaatst in <code>$HOME/bin</code> op Unix systemen. De map van dit bestand kan gewijzigd worden met de optie <b>-G</b>.</p>

<pre><code>    DOS bash: c:/wcd.go of $HOME/wcd.go
    Windows Command Prompt: c:\wcdgo.bat of %HOME%\wcdgo.bat
    Windows PowerShell: $env:HOME\wcdgo.ps1
    WinZsh: $HOME/wcd.go
    Cygwin/MSYS: $HOME/bin/wcd.go
    OS/2 Opdrachtprompt: c:\wcdgo.cmd of %HOME%\wcdgo.cmd
    OS/2 bash: c:/wcd.go or $HOME/wcd.go
    Unix: $HOME/bin/wcd.go</code></pre>

</dd>
<dt id="relatieve-boomdata-bestand"><b>relatieve boomdata-bestand</b></dt>
<dd>

<p>Tekstbestand met relatieve paden vanaf <i>MAP</i>. Zie opties <b>+S</b>, <b>-n</b> en <b>+n</b>.</p>

<pre><code>    DOS: PAD\rtdata.wcd
    Unix: PAD/.rtdata.wcd</code></pre>

</dd>
</dl>

<h1 id="OMGEVINGSVARIABELEN">OMGEVINGSVARIABELEN</h1>

<dl>

<dt id="HOME"><b>HOME</b></dt>
<dd>

<p>Wcd gebruikt standaard omgevingsvariabele <i>HOME</i> om te bepalen waar z&#39;n bestanden op te slaan. Zie ook paragraaf BESTANDEN. Dit kan overstemd worden met omgevingsvariabele <i>WCDHOME</i>.</p>

<p><i>HOME</i> bepaalt ook waar te beginnen met het scannen van de schijf wanneer optie <b>-s</b> gebruikt wordt. Dit kan overstemd worden met omgevingsvariabele <i>WCDSCAN</i>.</p>

<p>Voor de Unix, Cygwin, Windows PowerShell, WinZsh en MSYS versie is het vereist dat <i>HOME</i> of <i>WCDHOME</i> ingesteld is. Voor de andere versies van wcd is het gebruik van deze variabelen optioneel.</p>

<p>Wanneer <i>HOME</i> ingesteld is op DOS/Windows, zal wcd al zijn bestanden (treedata.wcd, extra.wcd, alias.wcd, ban.wcd, wcd.go) in map <i>HOME</i> plaatsen. Het gedrag van wcd is dan gelijk aan de Unix versie van wcd. Wcd zal de schijf standaard scannen vanaf <i>HOME</i>. Schijven worden niet automatisch gescant door er naar te veranderen. Dat moet wcd expliciet opgedragen worden. B.v.:</p>

<pre><code>    wcd -S c: -A d: -A e:</code></pre>

<p>Vergelijken van mappen is nu globaal over alle gescande schijven.</p>

</dd>
<dt id="WCDHOME"><b>WCDHOME</b></dt>
<dd>

<p>Omgevingsvariabele <i>WCDHOME</i> kan gebruikt worden om de locatie van wcds bestanden te wijzigen. Wanneer zowel <i>HOME</i> als <i>WCDHOME</i> ingesteld zijn, zal <i>WCDHOME</i> gebruikt worden in plaats van <i>HOME</i>.</p>

<p>In wcd versies voorafgaand aan 5.1.5 veranderde <i>WCDHOME</i> ook de standaard scan-map. Dit is veranderd. Sinds versie 5.1.5 verandert <i>WCDHOME</i> niet de standaard scan-map. Zie optie <b>-s</b>. Gebruik vanaf versie 5.1.5 omgevingsvariabele <i>WCDSCAN</i> om de standaard scan-map te overstemmen.</p>

<p>Voorbeeld voor DOS, Windows, OS/2 Opdrachtprompt:</p>

<pre><code>    set WCDHOME=C:\Users\erwin\wcd</code></pre>

<p>Een voorbeeld voor POSIX type shells:</p>

<pre><code>    export WCDHOME=&quot;$HOME/.wcd&quot;</code></pre>

<p>Een voorbeeld voor Csh type shells:</p>

<pre><code>    setenv WCDHOME &quot;$HOME/.wcd&quot;</code></pre>

</dd>
<dt id="WCDSCAN"><b>WCDSCAN</b></dt>
<dd>

<p>Gebruik omgevingsvariabele <i>WCDSCAN</i> om de standaard scan-map <i>HOME</i> te overstemmen. Gebruik een door dubbele punten gescheiden lijst (Unix) om meer dan een map te defini&euml;ren. Gebruik op DOS/Windows een lijst gescheiden door puntkomma&#39;s.</p>

<p>Voorbeelden voor DOS, Windows, OS/2 Opdrachtprompt:</p>

<pre><code>    set WCDSCAN=C:\Users\erwin;D:\data

    set WCDSCAN=%HOMEDRIVE%%HOMEPATH%;\\projectdrive\projectX</code></pre>

<p>Een voorbeeld voor POSIX type shells:</p>

<pre><code>    export WCDSCAN=&quot;$HOME:/projectdisk/projectX&quot;</code></pre>

<p>Een voorbeeld voor Csh type shells:</p>

<pre><code>    setenv WCDSCAN &quot;$HOME:/projectdisk/projectX&quot;</code></pre>

</dd>
<dt id="WCDFILTER"><b>WCDFILTER</b></dt>
<dd>

<p>Specificeer filters met omgevingsvariabele <i>WCDFILTER</i>. Alle mappen die niet treffen met het filter worden genegeerd. Een lijst kan gespecificeerd worden met het shell pad scheidingsteken. Gelijk aan het specificeren van de <i>PATH</i> variabele. Hoofdlettergevoeligheid wordt bepaald door het besturingssysteem.</p>

<p>Een voorbeeld voor DOS, Windows, OS/2 Opdrachtprompt:</p>

<pre><code>    set WCDFILTER=projects;doc</code></pre>

<p>Een voorbeeld voor POSIX type shells:</p>

<pre><code>    export WCDFILTER=&quot;projects:doc&quot;</code></pre>

<p>Een voorbeeld voor Csh type shells:</p>

<pre><code>    setenv WCDFILTER &quot;projects:doc&quot;</code></pre>

</dd>
<dt id="WCDBAN"><b>WCDBAN</b></dt>
<dd>

<p>De paden gespecificeerd met omgevingsvariabele <i>WCDBAN</i> worden verbannen door wcd. Zie ook optie <b>-b</b>. Specificeer een lijst van paden met het shell <i>PATH</i> scheidingsteken.</p>

</dd>
<dt id="WCDEXCLUDE"><b>WCDEXCLUDE</b></dt>
<dd>

<p>De paden gespecificeerd met omgevingsvariabele <i>WCDEXCLUDE</i> worden uitgesloten door wcd. Zie ook opties <b>-x</b> en <b>-xf</b>. Specificeer een lijst van paden met het shell <i>PATH</i> scheidingsteken.</p>

<p>Een voorbeeld voor DOS, Windows, OS/2 Opdrachtprompt:</p>

<pre><code>    set WCDEXCLUDE=*/windows;*/temp;*CVS</code></pre>

<p>Een voorbeeld voor POSIX type shells:</p>

<pre><code>    export WCDEXCLUDE=&quot;/dev:/tmp:*CVS&quot;</code></pre>

<p>Een voorbeeld voor Csh type shells:</p>

<pre><code>    setenv WCDEXCLUDE &quot;/dev:/tmp:*CVS&quot;</code></pre>

</dd>
<dt id="WCDUSERSHOME"><b>WCDUSERSHOME</b></dt>
<dd>

<p>Stel de basis in de de thuismappen van de gebruikers. Op DOS/Windows is de standaard waarde <code>\\users</code>. Op Unix/Cygwin is de standaard waarde <code>/home</code>. Deze variabele wordt gebruikt om boomdata-bestanden van andere gebruikers te scannen. Zie ook opties <b>-u</b> en <b>+u</b>. In gedetailleerde uitvoer-modus zal wcd alle filters, verbanningen en uitsluitingen tonen. Zie ook optie <b>-v</b>.</p>

</dd>
<dt id="WCDSTACKFILE"><b>WCDSTACKFILE</b></dt>
<dd>

<p>Wcd geeft prioriteit aan <i>WCDSTACKFILE</i> boven de standaard stapelbestandsnaam (zie paragraaf BESTANDEN). Met deze variabele kan elke shell (of terminal) zijn eigen priv&eacute; stapel voor mappen hebben.</p>

<p>Om een uniek tijdgebaseerde YYYYMMDD-HHMMSS bestand voor elke geopende interactieve shell te gebruiken.</p>

<pre><code>    export WCDSTACKFILE=$HOME/.wcd/stack.$(date +%Y%m%d-%H%M%S)</code></pre>

<p>Voor een stapel per xterm(1), gebruik de xterm omgevingsvariabele <i>WINDOWID</i>:</p>

<pre><code>    export WCDSTACKFILE=$HOME/.wcd/stack.$WINDOWID</code></pre>

<p>Voor GNU screen(1), gebruik een stapel per scherm:</p>

<pre><code>    export WCDSTACKFILE=$HOME/.wcd/stack.$WINDOW</code></pre>

</dd>
<dt id="TERMINFO"><b>TERMINFO</b></dt>
<dd>

<p>Wanneer omgevingsvariabele <i>TERMINFO</i> ingesteld is, controleert wcd met ncurses interface of er lokale terminal definities zijn voor op de standaard plek te kijken. Dit is nuttig wanneer terminal definities niet op een standaard plaats staan. Veel gebruikte standaard plaatsen zijn <code>/usr/lib/terminfo</code> en <code>/usr/share/terminfo</code>.</p>

</dd>
<dt id="PDC_RESTORE_SCREEN"><b>PDC_RESTORE_SCREEN</b></dt>
<dd>

<p>Wcd met PDCurses interface herkent de omgevingsvariabele <i>PDC_RESTORE_SCREEN</i>. Wanneer deze omgevingsvariabele ingesteld is, zal PDCurses een kopie maken van de inhoud van het scherm op het moment dat wcd gestart is. Wanneer wcd afsluit zal het scherm hersteld worden. Een voorbeeld voor Windows Opdrachtprompt:</p>

<pre><code>    set PDC_RESTORE_SCREEN=1</code></pre>

<p>Wcd laat maar een kleine buffer opslaan. Daardoor is het niet altijd mogelijk om alles te herstellen. Er kan wat rommel in de console geprint worden als wcd afsluit wanneer u een grote bufferbreedte heeft ingesteld.</p>

</dd>
<dt id="SHELL"><b>SHELL</b></dt>
<dd>

<p>Het printen van <code>#!$SHELL</code> op de de eerste regel van het go-script voor POSIX type shell of C shell is nodig voor 8 bit tekens. Sommige shells denken anders dat het go-script een binair bestand is en willen het niet inlezen. In Cygwin Bash moet de variabele <i>SHELL</i> ingesteld zijn met de <code>export</code> opdracht, anders kan wcd de variabele niet lezen.</p>

</dd>
<dt id="BASH"><b>BASH</b></dt>
<dd>

<p>Wcd voor DOS bash gebruikt <code>$BASH</code> in plaats van <code>$SHELL</code>, omdat <code>$SHELL</code> verwijst naar de DOS Opdrachtprompt. Het kan nodig zijn dat men <code>$BASH</code> met een <code>export</code> opdracht moet defini&euml;ren, anders kan wcd de variabele niet lezen.</p>

</dd>
</dl>

<h1 id="ZIE-OOK">ZIE OOK</h1>

<p>sh(1), bash(1), csh(1), ksh(1), zsh(1), locale(1), ncurses(1),</p>

<h1 id="AUTEURS">AUTEURS</h1>

<p>Wcd is geschreven door Erwin Waterlander &lt;waterlan@xs4all.nl&gt;</p>

<p>Project beginpagina <a href="http://waterlan.home.xs4all.nl/">http://waterlan.home.xs4all.nl/</a></p>

<p>SourceForge: <a href="http://sourceforge.net/projects/wcd/">http://sourceforge.net/projects/wcd/</a></p>

<p>De opmaak van de handleiding was verzorgd door Jari Aalto &lt;jari.aalto@cante.net&gt;.</p>

<p>NCD was oorspronkelijk geschreven door Brad Kingsbury voor Peter Norton&#39;s &quot;Norton Utilities&quot; omstreeks 1987. Zie ook <a href="http://www.softpanorama.org/OFM/norton_change_directory_clones.shtml">http://www.softpanorama.org/OFM/norton_change_directory_clones.shtml</a></p>


</body>

</html>


